Package picard.illumina

# Class ExtractIlluminaBarcodes.PerTileBarcodeExtractor

java.lang.Object
picard.illumina.ExtractIlluminaBarcodes.PerTileBarcodeExtractor

All Implemented Interfaces:
  `Runnable`

Enclosing class:
  ExtractIlluminaBarcodes

public static class ExtractIlluminaBarcodes.PerTileBarcodeExtractor extends Object implements Runnable
Extracts barcodes and accumulates metrics for an entire tile.

## Constructor Summary

Constructors
Constructor
Description
`PerTileBarcodeExtractor(int tile, File barcodeFile, IlluminaDataProviderFactory factory, BarcodeExtractor extractor)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`Exception`
`getException()`
`Map<String,BarcodeMetric>`
`getMetrics()`
`BarcodeMetric`
`getNoMatchMetric()`
`void`
`run()`
run method which extracts barcodes and accumulates metrics for an entire tile

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PerTileBarcodeExtractor

public PerTileBarcodeExtractor(int tile, File barcodeFile, IlluminaDataProviderFactory factory, BarcodeExtractor extractor)
Constructor

Parameters:
  `tile` - The number of the tile being processed; used for logging only.
  `barcodeFile` - The file to write the barcodes to

## Method Details

### getMetrics

public Map<String,BarcodeMetric> getMetrics()

### getNoMatchMetric

public BarcodeMetric getNoMatchMetric()

### getException

public Exception getException()

### run

public void run()
run method which extracts barcodes and accumulates metrics for an entire tile

Specified by:
  `run` in interface `Runnable`